
package br.com.cmctransportes.cjm.sascarsoap;

import javax.xml.ws.WebFault;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebFault(name = "Exception", targetNamespace = "http://webservice.web.integracao.sascar.com.br/")
public class Exception_Exception
    extends java.lang.Exception
{

    /**
     * Java type that goes as soapenv:Fault detail element.
     * 
     */
    private br.com.cmctransportes.cjm.sascarsoap.Exception faultInfo;

    /**
     * 
     * @param faultInfo
     * @param message
     */
    public Exception_Exception(String message, br.com.cmctransportes.cjm.sascarsoap.Exception faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @param faultInfo
     * @param cause
     * @param message
     */
    public Exception_Exception(String message, br.com.cmctransportes.cjm.sascarsoap.Exception faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @return
     *     returns fault bean: br.com.cmctransportes.cjm.sascarsoap.Exception
     */
    public br.com.cmctransportes.cjm.sascarsoap.Exception getFaultInfo() {
        return faultInfo;
    }

}
